Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.orm
Class RlikeExpression

    java.lang.Object
      grails.orm.RlikeExpression

All Implemented Interfaces:
  Serializable, org.hibernate.criterion.Criterion

    public class RlikeExpression

extends Object
implements org.hibernate.criterion.Criterion

Adds support for rlike to Hibernate in supported dialects

Since:
  1.1.1
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`RlikeExpression(String propertyName, Object value)`
`RlikeExpression(String propertyName, String value, org.hibernate.criterion.MatchMode matchMode)`

Method Summary
`org.hibernate.engine.TypedValue[]` | `getTypedValues(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`
`String` | `toSqlString(org.hibernate.Criteria criteria, org.hibernate.criterion.CriteriaQuery criteriaQuery)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RlikeExpression

    public RlikeExpression(String propertyName,
                           Object value)

### RlikeExpression

    public RlikeExpression(String propertyName,
                           String value,
                           org.hibernate.criterion.MatchMode matchMode)

Method Detail

### toSqlString

    public String toSqlString(org.hibernate.Criteria criteria,
                              org.hibernate.criterion.CriteriaQuery criteriaQuery)
                       throws org.hibernate.HibernateException

  Specified by:
    `toSqlString` in interface `org.hibernate.criterion.Criterion`
  Throws:
    `org.hibernate.HibernateException`

### getTypedValues

    public org.hibernate.engine.TypedValue[] getTypedValues(org.hibernate.Criteria criteria,
                                                            org.hibernate.criterion.CriteriaQuery criteriaQuery)
                                                     throws org.hibernate.HibernateException

  Specified by:
    `getTypedValues` in interface `org.hibernate.criterion.Criterion`
  Throws:
    `org.hibernate.HibernateException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project